package com.lutao.cloud.common.core.constant.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum MessageRouteEnum{

    DOC_INFO("文档详情","DocumentDetail"),
    DOC_SUBMISSIONS("投稿详情","DocumentDetails"),
    DOC_SUBMISSIONS_PASS("投稿通过","DocumentDetails"),
    DOC_SUBMISSIONS_REJECT("投稿驳回","DocumentDetails"),
    DOC_SUBMISSIONS_REVIEW("投稿审核","SubmissionsDetail"),
    DOC_ERROR("文档纠错详情","ErrorCorrectionProcessingDetail"),
    PILOT_COMPANY_INFO("试点项目详情-企业","PilotProjectEnterpriseDetail"),
    PILOT_COMPANY_REVIEW("试点项目审核-企业","PilotProjectEnterpriseDetail"),
    PILOT_PARK_INFO("试点项目详情-园区","PilotProjectParkDetail"),
    PILOT_PARK_REVIEW("试点项目审核-园区","PilotProjectParkDetail"),
    PILOT_REJECT("试点项目-驳回","PilotprojectIndex"),
    PILOT_PROGRESS_REJECT("试点项目进度-驳回","ProgressManager"),
    PILOT_COMPANY_PROGRESS_REVIEW("试点项目进度审核-企业","ProgressEnterpriseDetail"),
    PILOT_PARK_PROGRESS_REVIEW("试点项目进度审核-园区","ProgressParkDetail"),
    EFFECT_COMPANY_INFO("成效评估详情-企业","EffectEnterpriseDetail"),
    EFFECT_COMPANY_REVIEW("成效评估审核-企业","EffectEnterpriseDetail"),
    EFFECT_PARK_INFO("成效评估详情-园区","EffectParkDetail"),
    EFFECT_PARK_REVIEW("成效评估审核-园区","EffectParkDetail"),
    EFFECT_REJECT("成效评估-驳回","EffectIndex"),
    KNOWLEDGE_MODEL("机理模型","KnowledgeModelDetail"),
    KNOWLEDGE_MODEL_REJECT("机理模型-驳回","PersonalCenterMyapply"),
    KNOWLEDGE_MODEL_REVIEW("机理模型-审核","KnowledgeModelReviewDetail"),
    KNOWLEDGE_APP("工业app","KnowledgeAppDetail"),
    KNOWLEDGE_APP_REJECT("工业app-驳回","PersonalCenterMyapply"),
    KNOWLEDGE_APP_REVIEW("工业app-审核","KnowledgeAppReviewDetail"),
    KNOWLEDGE_SOLUTION("解决方案","KnowledgeSolutionDetail"),
    KNOWLEDGE_SOLUTION_REJECT("解决方案-驳回","PersonalCenterMyapply"),
    KNOWLEDGE_SOLUTION_REVIEW("解决方案-审核","KnowledgeSolutionReviewDetail"),
    KNOWLEDGE_EQUIPMENT("技术与装备","KnowledgeEquipmentDetail"),
    KNOWLEDGE_EQUIPMENT_REJECT("技术与装备-驳回","PersonalCenterMyapply"),
    KNOWLEDGE_EQUIPMENT_REVIEW("技术与装备-审核","KnowledgeEquipmentReviewDetail"),
    KNOWLEDGE_APPLY("知识沉淀-申请","PersonalCenterMyapply"),
    DEMAND_INFO("需求详情","DemandDetails"),
    DEMAND_REVIEW("需求审核","DemandDetail"),
    DEMAND_REJECT("需求详情-驳回","DemandPublish"),

    PUBLICSER_PERSONNEL_INFO("人员资质详情","PersonnelDetail"),
    PUBLICSER_PERSONNEL_REVIEW("人员资质 审核","PersonnelDetail"),
    PUBLICSER_PERSONNEL_REJECT("人员资质详情-不通过","PersonnelDetail"),
    PUBLICSER_ORGAN_INFO("机构资质-详情","OrganizationDetail"),
    PUBLICSER_ORGAN_REVIEW("机构资质-审核","OrganizationDetail"),
    PUBLICSER_ORGAN_REJECT("机构资质-驳回","OrganizationDetail"),

    AUTH_ORGAN_INFO("机构认证-详情","OrganizationAuthenticationDetail"),
    AUTH_ORGAN_REVIEW("机构认证-审核","PersonalCenterAccountManager"),
    AUTH_ORGAN_REJECT("机构认证-驳回","PersonalCenterAccountManager"),
    AUTH_USER_INFO("个人认证-详情","PersonalAuth"),
    AUTH_USER_REVIEW("个人认证-审核","Authmanager"),
    AUTH_USER_REJECT("个人认证-驳回","PersonalAuth");

    private final String type;

    private final String webRoute;


}
